summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVladimir Pavljuchenkov (SpiderX) <spiderx@spiderx.dp.ua>2018-03-22 15:22:26 +0200
committerMichał Górny <mgorny@gentoo.org>2018-03-30 20:16:37 +0200
commit1485323484724faad35067f91ed36e94e953e83d (patch)
treee8d9d39c9fd548cbdff61c5869659691d5fa0c73 /net-im/slack-bin
parentapp-office/lyx: Fix build with Qt 5.11 (diff)
downloadgentoo-1485323484724faad35067f91ed36e94e953e83d.tar.gz
gentoo-1485323484724faad35067f91ed36e94e953e83d.tar.bz2
gentoo-1485323484724faad35067f91ed36e94e953e83d.zip
net-im/slack-bin: version bump to 3.1.0
Closes: https://bugs.gentoo.org/646614 Closes: https://github.com/gentoo/gentoo/pull/7549 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'net-im/slack-bin')
-rw-r--r--net-im/slack-bin/Manifest1
-rw-r--r--net-im/slack-bin/slack-bin-3.1.0.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/net-im/slack-bin/Manifest b/net-im/slack-bin/Manifest
index e0ecba8835d..e9ad71fec87 100644
--- a/net-im/slack-bin/Manifest
+++ b/net-im/slack-bin/Manifest
@@ -6,3 +6,4 @@ DIST slack-desktop-2.8.0-amd64.deb 51225854 BLAKE2B 746a11d85941272c53a9c7d2433c
DIST slack-desktop-2.8.2-amd64.deb 51257834 BLAKE2B 85f06aa634b40f3ddd1450fcfaa044bf4cf9b5a7463525ac0ee98b07cd882e0b30e0a894c8ab2e2605e3db903e570c318d6d6cb968223d59abc5013053528547 SHA512 533b360ff22ff74743fb7323c08f01230509428e752aed2ed090bf002475934063e6c3853727ab030f6267ca332d783a045df02da02a3a12d045d6a168bf5b58
DIST slack-desktop-3.0.2-amd64.deb 55654542 BLAKE2B 70a1da6cc7be1313b02e74225ee87fbb93c0050f40301e0a02c01241efe91db9d09149fd8feeecf33786c657b53e8aec3a4d7563e61ae88e4b46f85bad27ded7 SHA512 29d7d96dbf4b81ac4164043c0cae0e314d94770b74118068684770763a52eed2a3fd430b4a307db2d133ad46cc57379a71415d92790946f5c1b448153c9bc2c1
DIST slack-desktop-3.0.5-amd64.deb 55664624 BLAKE2B ad53ab04debf12d5af79069132a6852b03b85d1e99fc318e1e118556adc709fcd77e3bf866eed53ba34411b451ca46be42094deb6e7effde4ae8a21c9ccf1123 SHA512 a8bf160440d46ced92f70b57d8998dec957cd3a4f56813193974a9c0693ff45ad6493f74b682a9590ad3b9fbe2ac3fc01586b052e5c16f7570b0eb1430d25b12
+DIST slack-desktop-3.1.0-amd64.deb 60324688 BLAKE2B bf9184ed49d31baa8b03d430091a965434ebdb13d0e85c4872fc5ee4101782b548c817388ef3f52b2c769dd23ed931c997d2b9efe56929dae8640918b4afca38 SHA512 8b7c93e54a24bdd3b83dcaef7dbef5fe2da62719a8c84d9c0c78236a077de30bf7ebc5c29e25228fd2306594abcf3733364f6075aa08ecce1de86cb0223986b0
diff --git a/net-im/slack-bin/slack-bin-3.1.0.ebuild b/net-im/slack-bin/slack-bin-3.1.0.ebuild
new file mode 100644
index 00000000000..504150b0b29
--- /dev/null
+++ b/net-im/slack-bin/slack-bin-3.1.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/-bin/}"
+MULTILIB_COMPAT=( abi_x86_64 )
+
+inherit desktop gnome2-utils multilib-build pax-utils unpacker xdg-utils
+
+DESCRIPTION="Team collaboration tool"
+HOMEPAGE="http://www.slack.com/"
+SRC_URI="https://downloads.slack-edge.com/linux_releases/${MY_PN}-desktop-${PV}-amd64.deb"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 -*"
+IUSE="ayatana pax_kernel"
+RESTRICT="bindist mirror"
+
+RDEPEND="app-crypt/libsecret:0[${MULTILIB_USEDEP}]
+ dev-libs/atk:0[${MULTILIB_USEDEP}]
+ dev-libs/expat:0[${MULTILIB_USEDEP}]
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ dev-libs/nspr:0[${MULTILIB_USEDEP}]
+ dev-libs/nss:0[${MULTILIB_USEDEP}]
+ gnome-base/gconf:2[${MULTILIB_USEDEP}]
+ media-libs/alsa-lib:0[${MULTILIB_USEDEP}]
+ media-libs/fontconfig:1.0[${MULTILIB_USEDEP}]
+ media-libs/freetype:2[${MULTILIB_USEDEP}]
+ net-misc/curl:0[${MULTILIB_USEDEP}]
+ net-print/cups:0[${MULTILIB_USEDEP}]
+ sys-apps/dbus:0[${MULTILIB_USEDEP}]
+ x11-libs/cairo:0[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:2[${MULTILIB_USEDEP}]
+ x11-libs/libX11:0[${MULTILIB_USEDEP}]
+ x11-libs/libxcb:0/1.12[${MULTILIB_USEDEP}]
+ x11-libs/libXcomposite:0[${MULTILIB_USEDEP}]
+ x11-libs/libXcursor:0[${MULTILIB_USEDEP}]
+ x11-libs/libXdamage:0[${MULTILIB_USEDEP}]
+ x11-libs/libXext:0[${MULTILIB_USEDEP}]
+ x11-libs/libXfixes:0[${MULTILIB_USEDEP}]
+ x11-libs/libXi:0[${MULTILIB_USEDEP}]
+ x11-libs/libxkbfile:0[${MULTILIB_USEDEP}]
+ x11-libs/libXrandr:0[${MULTILIB_USEDEP}]
+ x11-libs/libXrender:0[${MULTILIB_USEDEP}]
+ x11-libs/libXScrnSaver:0[${MULTILIB_USEDEP}]
+ x11-libs/libXtst:0[${MULTILIB_USEDEP}]
+ x11-libs/pango:0[${MULTILIB_USEDEP}]
+ ayatana? ( dev-libs/libappindicator:2[${MULTILIB_USEDEP}] )"
+
+QA_PREBUILT="opt/slack/slack
+ opt/slack/resources/app.asar.unpacked/node_modules/*
+ opt/slack/libnode.so
+ opt/slack/libffmpeg.so
+ opt/slack/libCallsCore.so"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ default
+
+ if use ayatana ; then
+ sed -i '/Exec/s|=|=env XDG_CURRENT_DESKTOP=Unity |' \
+ usr/share/applications/slack.desktop \
+ || die "sed failed for slack.desktop"
+ fi
+}
+
+src_install() {
+ doicon usr/share/pixmaps/slack.png
+ doicon -s 512 usr/share/pixmaps/slack.png
+ domenu usr/share/applications/slack.desktop
+
+ insinto /opt/slack
+ doins -r usr/lib/slack/.
+ fperms +x /opt/slack/slack
+ dosym ../../opt/slack/slack usr/bin/slack
+
+ use pax_kernel && pax-mark -m ${ED%/}/opt/slack/slack
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}